fse.ws.handler

## Class AbstractPDDASLHandler

- java.lang.Object
- - fse.ws.handler.AbstractPDDASLHandler

- All Implemented Interfaces:
    Handler<SOAPMessageContext>, SOAPHandler<SOAPMessageContext>
  Direct Known Subclasses:
    AccessiPDDASLHandler, FSEPDDASLHandler, GCAPDDASLHandler, TACCPDDASLHandler

      public abstract class AbstractPDDASLHandler
      extends Object
      implements SOAPHandler<SOAPMessageContext>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractPDDASLHandler()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `analisiFaultPDDGateway(SOAPMessage messaggio)` Analizza un SOAPMessage e se si tratta di un SOAPFault solleva la relativa eccezione
    `protected void` | `controllaRevocaCertificato(sun.security.x509.X509CertImpl cert, String codiceFiscaleCertificato)`
    `protected void` | `controllaRevocaCertificatoNew(sun.security.x509.X509CertImpl cert, String codiceFiscaleCertificato, String idTransazione)`
    `protected SOAPMessage` | `costruisciSoapFault(String codAttributo)`
    `private Node` | `getChildNodeByTagName(Node parent, String tagName)`
    `static String` | `getDataCorrente()` Restituisce la data corrente nel formato dd/mm/yyyy - hh:mm:ss.SSS
    `protected String` | `getIdTransazione()`
    `protected Iterator<sun.security.x509.X509CertImpl>` | `getIteratorCredenzialiSubject(SOAPMessageContext messageContext)` Metodo che previene il nullpointer quando si cerca di recuperare l'iterator delle credenziali ma non esiste nel context.
    `static SOAPMessage` | `inviaMessaggio(SOAPMessage message, String url)`
    `static SOAPMessage` | `inviaMessaggio(SOAPMessage message, String url, String idTransazione, int timeoutMs)`
    `protected boolean` | `isCRL(File file)`
    `protected String` | `leggiCodFiscaleOperatore(SOAPMessage msg)`
    `protected String` | `toIndentedString(SOAPMessage message)`
    `protected SOAPMessage` | `toSOAPMessage(InputStream is)`
    `protected SOAPMessage` | `toSOAPMessage(String messaggioString)`
    `String` | `toString(SOAPMessage message)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.xml.ws.handler.soap.SOAPHandler

      `getHeaders`

    - ### Methods inherited from interface javax.xml.ws.handler.Handler

      `close, handleFault, handleMessage`

- - ### Constructor Detail

    - #### AbstractPDDASLHandler

          public AbstractPDDASLHandler()

  - ### Method Detail

    - #### getIteratorCredenzialiSubject

          protected Iterator<sun.security.x509.X509CertImpl> getIteratorCredenzialiSubject(SOAPMessageContext messageContext)

      Metodo che previene il nullpointer quando si cerca di recuperare l'iterator delle credenziali ma non esiste nel context.
      Parameters:
        `messageContext` - Il contesto del messaggio SOAP
      Returns:
        L'iterator delle credenziali o un iterator vuoto in caso di mancanza delle stesse

    - #### toString

          public String toString(SOAPMessage message)
                          throws SOAPException

      Throws:
        `SOAPException`

    - #### toIndentedString

          protected String toIndentedString(SOAPMessage message)
                                     throws SOAPException

      Throws:
        `SOAPException`

    - #### toSOAPMessage

          protected SOAPMessage toSOAPMessage(String messaggioString)
                                       throws SOAPException

      Throws:
        `SOAPException`

    - #### toSOAPMessage

          protected SOAPMessage toSOAPMessage(InputStream is)
                                       throws SOAPException

      Throws:
        `SOAPException`

    - #### inviaMessaggio

          public static SOAPMessage inviaMessaggio(SOAPMessage message,
                                                   String url)
                                            throws SOAPException

      Throws:
        `SOAPException`

    - #### inviaMessaggio

          public static SOAPMessage inviaMessaggio(SOAPMessage message,
                                                   String url,
                                                   String idTransazione,
                                                   int timeoutMs)
                                            throws SOAPException

      Throws:
        `SOAPException`

    - #### isCRL

          protected boolean isCRL(File file)

    - #### costruisciSoapFault

          protected SOAPMessage costruisciSoapFault(String codAttributo)

    - #### controllaRevocaCertificato

          protected void controllaRevocaCertificato(sun.security.x509.X509CertImpl cert,
                                                    String codiceFiscaleCertificato)
                                             throws Exception

      Throws:
        `Exception`

    - #### leggiCodFiscaleOperatore

          protected String leggiCodFiscaleOperatore(SOAPMessage msg)

    - #### getChildNodeByTagName

          private Node getChildNodeByTagName(Node parent,
                                             String tagName)

    - #### getDataCorrente

          public static String getDataCorrente()

      Restituisce la data corrente nel formato dd/mm/yyyy - hh:mm:ss.SSS
      Returns:
        data corrente

    - #### analisiFaultPDDGateway

          public void analisiFaultPDDGateway(SOAPMessage messaggio)
                                      throws SOAPException,
                                             Exception

      Analizza un SOAPMessage e se si tratta di un SOAPFault solleva la relativa eccezione
      Parameters:
        `messaggio` -
      Throws:
        `SOAPException`
        `ApplicationException`
        `Exception`

    - #### getIdTransazione

          protected String getIdTransazione()

    - #### controllaRevocaCertificatoNew

          protected void controllaRevocaCertificatoNew(sun.security.x509.X509CertImpl cert,
                                                       String codiceFiscaleCertificato,
                                                       String idTransazione)
                                                throws Exception

      Throws:
        `Exception`